// Definicija komponente poslovi koja ide uz "Primjer2e - Todo.html".

// HTML kod komponente spremimo u string.
// Ovo se može izbjeći ali samo ako koristimo kompajliranje vue aplikacija.
let template = `
    Unesi novi posao: <input type="text" v-model="txt"> <button @click="dodaj()">Dodaj u listu!</button>
    <br>
    <ul>
        <li :class="posao.obavljen ? 'obavljen' : 'neobavljen'" 
            v-for="posao in lista" @click="obavi( posao )">
            {{ posao.ime }}  
        </li>
    </ul>	
`;

// Ovo je objekt koji će biti dostupan kao varijabla nesto onom tko napravi
// import nesto from './PosloviKomponenta.js'
export default {
    template: template,
    props: [ 'lista' ],
    data() { return { txt: '' }; },
    methods:
    {
        obavi: function( posao ) { posao.obavljen = !posao.obavljen; },
        dodaj: function() { this.lista.push( { ime: this.txt, obavljen: false } ); }
    }
};
